#
# spec file for package intel-one-mono-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           intel-one-mono-fonts
Version:        1.3.0
Release:        1.3
Summary:        An expressive monospaced font family
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/intel/intel-one-mono
Source:         https://github.com/intel/intel-one-mono/releases/download/V%{version}/ttf.zip
Source100:      https://raw.githubusercontent.com/intel/intel-one-mono/V%{version}/README.md
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Intel One Mono is an expressive monospaced font family.

Identifying the typographically underserved low-vision developer
audience, Frere-Jones Type designed the Intel One Mono typeface in
partnership with the Intel Brand Team and VMLY&R, for maximum
legibility to address developers' fatigue and eyestrain and reduce
coding errors. A panel of low-vision and legally blind developers
provided feedback at each stage of design.

%prep
%autosetup -cT
unzip -qq %{SOURCE0}
cp %{S:100} .

%build

%install
install -d %{buildroot}%{_ttfontsdir} %{buildroot}%{_docdir}/%{name} %{buildroot}%{_licensedir}/%{name}
install -m644 ttf/*.ttf %{buildroot}%{_ttfontsdir}
install -m644 %{S:100} %{buildroot}%{_docdir}/%{name}
install -m644 ttf/OFL.txt %{buildroot}%{_licensedir}/%{name}/LICENSE.md

%reconfigure_fonts_scriptlets

%files
%doc README.md
%license LICENSE.md
%{_ttfontsdir}

%changelog
* Tue Aug 22 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to v1.3.0
  * Improved language support through ccmp and mark features in
    sources
  * Added calt feature to raise colon for alignment with operators
  * Update family name across fonts, sources and licence: Intel
    One Mono
  * Updated artwork and hinting for hyphen, endash, emdash, grave,
    uni2011 and uni2015
  * Improved linking of styles in sources and builds
* Thu Jun  8 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to v1.2.1
  * README updates and typo fixes.
  * Official zips now contain license file.
  * Removal of MacOS metadata from zips.
  * Specfile updated to adjust for above changes.
* Tue Jun  6 2023 Joshua Smith <jsmithfpv@gmail.com>
- Specfile cleanup and improvements.
* Wed May 31 2023 Jan Engelhardt <jengelh@inai.de>
- Wrap description, trim excess marketing.
* Wed May 31 2023 Joshua Smith <jsmithfpv@gmail.com>
- Initial package of Intel One Mono (1.2.0) for openSUSE.
